Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] VirtualBox libGL error
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Mon Apr 24, 2017 4:46 am    Post subject: [solved] VirtualBox libGL error Reply with quote

Hi, I'm going to assume my issue may be due to the version of drivers/kernel, but I thought I'd ask in case I'm wrong. So in a nutshell, VirtualBox on the host cannot find the graphics libraries and so results in no display acceleration for the guest.

First symptom:
Starting virtualbox on the cli gets:
Code:
$ virtualbox
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast


Second symptom:
Closing the GUI window does not end the process. CTRL-C has to be used.

Third symptom:
Trying to start a VM with 3D acceleration gets the error:
Code:
Failed to open a session for the virtual machine win10.

The VM session was aborted.

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: SessionMachine
Interface: ISession {7844aa05-b02e-4cdd-a04f-ade4a762e6b7}


These are the versions of software:
Code:
[ebuild   R   ~] sys-kernel/gentoo-sources-4.10.12:4.10.12::gentoo  USE="-build -experimental -symlink" 0 KiB
[ebuild   R    ] media-libs/mesa-13.0.5::gentoo  USE="classic dri3 egl gallium gbm gles2 llvm nettle nptl vaapi vdpau xa -bindist -d3d9 -debug -gcrypt -gles1 (-libressl) -opencl -openmax -openssl -osmesa -pax_kernel -pic (-selinux) -valgrind -vulkan -wayland -xvmc" VIDEO_CARDS="i965 intel (-freedreno) -i915 -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) -vmware" 0 KiB
[ebuild   R    ] x11-drivers/xf86-video-intel-2.99.917_p20170216::gentoo  USE="dri dri3 sna udev uxa -debug -tools -xvmc" 0 KiB
[ebuild   R   ~] app-emulation/virtualbox-5.1.20::gentoo  USE="opengl pam pulseaudio qt5 sdk udev -alsa -debug -doc -headless -java -libressl -lvm -pax_kernel -python -vboxwebsrv -vnc" PYTHON_TARGETS="python2_7" 0 KiB


Here is my emerge info:
Code:
# emerge --info
Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/no-multilib, gcc-5.4.0, glibc-2.23-r3, 4.10.12-gentoo x86_64)
=================================================================
System uname: Linux-4.10.12-gentoo-x86_64-Intel-R-_Core-TM-_i7-6700K_CPU_@_4.00GHz-with-gentoo-2.3
KiB Mem:    32896444 total,  27832632 free
KiB Swap:    3640916 total,   3640916 free
Timestamp of repository gentoo: Mon, 24 Apr 2017 02:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.24.2::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt /var/bind /var/www/roundcube/htdocs/roundcube/config/db.inc.php /var/www/roundcube/htdocs/roundcube/config/main.inc.php /var/www/wordpress/htdocs/wordpress/wp-config.php /var/www/wordpress/htdocs/wordpress/wp-content/themes/twentyten/style.css"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/chromium/policies/managed/chrome-gnome-shell.json /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/opt/chrome/policies/managed/chrome-gnome-shell.json /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.bytemark.co.uk/gentoo/ http://mirror.bytemark.co.uk/gentoo/ rsync://mirror.bytemark.co.uk/gentoo/ http://mirror.qubenet.net/mirror/gentoo/ ftp://ftp.mirrorservice.org/sites/distfiles.gentoo.org/ http://www.mirrorservice.org/sites/distfiles.gentoo.org/ rsync://rsync.mirrorservice.org/distfiles.gentoo.org/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aacs acl amd64 bdplus berkdb bluray branding bzip2 cacert cairo cli consolekit cracklib cron crypt cups cxx dri dri3 dvdr fat ffmpeg flac fortran gdbm gif gimp gnome gnome-keyring gtk iconv jpeg jpeg2k libnotify modules mp3 nautilus ncurses networkmanager nfsidmap nfsv4 nfsv41 nls nptl offensive office ogg openmp pam pcre png policykit pulseaudio qt5 readline seccomp session sna ssl svg systemd tcpd theora tiff udisks unicode uxa vaapi vdpau vhosts vorbis x264 x265 xa xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_core authz_core authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias =asis =authn_alias =cern_meta =cgi =cgid =charset_lite =dumpio =log_forensic =proxy_ftp =proxy_scgi =reqtimeout =substitute =version slotmem_shm unixd =access_compat socache_shmcb proxy_html proxy_wstunnel" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-0" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21 ruby22" SANE_BACKENDS="=abaton =agfafocus =apple =artec =artec_eplus48u =as6e =avision =bh =canon =canon630u =canon_dr =canon_pp =cardscan =coolscan =coolscan2 =coolscan3 =dc210 =dc240 =dc25 =dell1600n_net =dmc =epjitsu =epson =epson2 =fujitsu =genesys =gt68xx hp =hp3500 =hp3900 hp4200 =hp5400 =hp5590 =hpljm1005 =hpsj5s =hs2p =ibm =kodak =kodakaio%* =kvs1025 =kvs20xx =kvs40xx%* =leo =lexmark =ma1509 =magicolor =matsushita =microtek =microtek2 =mustek =mustek_pp =mustek_usb =mustek_usb2%* =nec net =niash =p5 =pie =pixma =plustek =plustek_pp =qcam =ricoh =rts8891 =s9036 =sceptre =sharp =sm3600 =sm3840 =snapscan =sp15c =st400 =stv680 =tamarack =teco1 =teco2 =teco3 {test} =u12 =umax =umax1220u =umax_pp =xerox_mfp =pnm%" USERLAND="GNU" VIDEO_CARDS="i965 intel" XTABLES_ADDONS="=account =chaos =condition =delude =dhcpmac =fuzzy geoip =iface =ipmark =ipp2p =ipv4options =length2 =logmark =lscan =pknock =psd =quota2 =rawnat =steal =sysrq =tarpit =dnetmap =echo =gradm"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Any clues would be awesome.

TIA
_________________
# touch it
touch: cannot touch `it': Permission denied


Last edited by cdstealer on Mon Apr 24, 2017 12:12 pm; edited 1 time in total
Back to top
View user's profile Send private message
guitou
Guru
Guru


Joined: 02 Oct 2003
Posts: 395
Location: France

PostPosted: Mon Apr 24, 2017 11:26 am    Post subject: Reply with quote

Hello.

Looking at these "unable to load driver...", i guess you switched to a different kernel, then re-emerge virtualbox-modules too (to have them built against current running kernel).

++
Gi)
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Mon Apr 24, 2017 12:00 pm    Post subject: Reply with quote

Hi guitou,
Yeah anything that needs a rebuild after any kernel update always gets done. I may downgrade VBox and see what happens.

YEP! Downgraded to 5.1.18 and it now picks up the drivers and the process ends when the GUI is closed as it should. Problem solved :)
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1353

PostPosted: Mon Apr 24, 2017 11:28 pm    Post subject: Reply with quote

Same problem here, I'm downgrading...

Should we open a bug @ virtualbox?

It's not and ebuild problem:
Code:
gentoo-seitan virtualbox # diff virtualbox-5.1.18.ebuild virtualbox-5.1.20.ebuild
12c12
< SRC_URI="http://download.virtualbox.org/virtualbox/${MY_PV}/${MY_P}.tar.bz2
---
> SRC_URI="http://download.virtualbox.org/virtualbox/${MY_PV}/${MY_P}a.tar.bz2
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7081
Location: Saint Amant, Acadiana

PostPosted: Tue Apr 25, 2017 12:00 am    Post subject: Reply with quote

Have you tried with modesetting driver instead of intel?
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Tue Apr 25, 2017 3:17 am    Post subject: Reply with quote

Hi =DVD=, I'm just updating back to 5.1.20 so I can provide more info and log data to Oracle :) I'll update with the bug link shortly.

Hi Jaglover, I haven't tried modesetting. I'll look into it. I'm not sure if this would offer the same performance though and if this is bug (which it looks like), it may not matter what driver I use.


**edit**
Bug submitted https://www.virtualbox.org/ticket/16693
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1353

PostPosted: Tue Apr 25, 2017 8:18 am    Post subject: Reply with quote

Jaglover wrote:
Have you tried with modesetting driver instead of intel?


It is the same also with optirun that uses nvidia driver, so it must be driver independent, and I am using modesetting.
I think we all are:
https://wiki.gentoo.org/wiki/Intel#Drivers wrote:
Beginning with x11-base/xorg-drivers-1.19, the x11-base/xorg-drivers package (in addition to the mesa package) includes support the i965 USE flag. This will omit selection of the deprecating x11-drivers/xf86-video-intel driver in favor of the more maintained, generic modesetting DDX driver built-in to x11-base/xorg-server.

@cdstealer: it may be related to mesa multilib, I have ABI_X86="64 32", do you?
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Tue Apr 25, 2017 9:17 am    Post subject: Reply with quote

Hi =DVD=, I only have ABI_X86="64" enabled.
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1353

PostPosted: Tue Apr 25, 2017 2:33 pm    Post subject: Reply with quote

Ok, the solution is to use the https://www.virtualbox.org/wiki/Testbuilds .

I am writing an ebuild for the testbuild binary, but it is longer than I thought because the kernel modules are not shipped as a separate archive. So the ebuild must extract them from the .run archive.

If you think that this is exactly what the ebuild of virtualbox-modules does, well that is what I belived too.
But:

Code:

cat /usr/portage/app-emulation/virtualbox-modules/virtualbox-modules-5.1.20.ebuild

...

SRC_URI="https://dev.gentoo.org/~polynomial-c/virtualbox/${MY_P}.tar.xz"

...



8O
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1353

PostPosted: Tue Apr 25, 2017 4:24 pm    Post subject: Reply with quote

Edit: Ok: I tried and it WORKS! - (well, it starts... but it's still broken somehow)

Anyway if someone wants to continue from where i left this is what I did.

1: Read https://wiki.gentoo.org/wiki/Custom_repository and create your local repository

2: Inside your local repository create the virtualbox-bin and virtualbox-modules folder like this:
Code:
gentoo-seitan portage # tree -L 2
.
├── app-emulation
│   ├── virtualbox-bin
│   └── virtualbox-modules


3: Create the ebuild files (in the respective folders) like these:

4: Use repoman manifest on the files like the guide at point 1 say

5: Copy (or link) the 'files' folder from the official portage to your repository folders.
If you have portage in '/usr/portage' and the local repository in '/usr/local/portage' it is:

Code:
cp /usr/portage/app-emulation/virtualbox-modules/files /usr/local/portage/app-emulation/virtualbox-modules/ -r
cp /usr/portage/app-emulation/virtualbox-bin/files  /usr/local/portage/app-emulation/virtualbox-bin/ -r


6: you should have this at the end:
Code:
gentoo-seitan local # tree /usr/local/portage/
/usr/local/portage/
├── app-emulation
│   ├── virtualbox-bin
│   │   ├── files
│   │   │   ├── 10-virtualbox.rules
│   │   │   ├── vboxwebsrv-confd
│   │   │   ├── vboxwebsrv-initd
│   │   │   ├── virtualbox-bin-3-wrapper
│   │   │   ├── virtualbox-bin-config
│   │   │   └── virtualbox-bin.desktop-2
│   │   ├── Manifest
│   │   └── virtualbox-bin-5.1.21.115049.ebuild
│   └── virtualbox-modules
│       ├── files
│       │   ├── create_vbox_modules_tarball.sh
│       │   ├── virtualbox.conf
│       │   ├── virtualbox-modules-4.1.4-pax-const.patch
│       │   └── virtualbox-modules-5.1.10-ALIGN-backport.patch
│       ├── Manifest
│       └── virtualbox-modules-5.1.21.115049.ebuild


7: emerge virtualbox-bin (you have to add ~arch keyword)

8: profit!
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 781

PostPosted: Fri Apr 28, 2017 4:08 am    Post subject: Reply with quote

as I understood, there is no any patch for that, and the only solution is downgrading or use test binaries, right ?
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1353

PostPosted: Sat Apr 29, 2017 7:43 pm    Post subject: Reply with quote

Perfect Gentleman wrote:
as I understood, there is no any patch for that, and the only solution is downgrading or use test binaries, right ?


Just skip 5.1.20 and wait for 5.1.22 that will contain the fix
Back to top
View user's profile Send private message
qjim
n00b
n00b


Joined: 10 May 2008
Posts: 23

PostPosted: Tue May 02, 2017 3:12 pm    Post subject: Reply with quote

Still same with 5.1.22:
Code:
libGL error: unable to load driver: radeonsi_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: radeonsi
libGL error: unable to load driver: radeonsi_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: radeonsi
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
Qt WARNING: libpng warning: iCCP: known incorrect sRGB profile


And no difference between mesa-git and stable 17.0.5.
Back to top
View user's profile Send private message
WendyB
n00b
n00b


Joined: 30 May 2010
Posts: 40
Location: Hilversum, Holland

PostPosted: Tue May 02, 2017 8:36 pm    Post subject: Reply with quote

I have the same problem with 5.1.22
In dmesg there's a segfault message from virtualbox_drv

I have this problem with Intel i5, i7 en Proliant server with mga, but not with nvidia-drivers
_________________
several years playing with (Open)SuSE and since 2009 switched to Gentoo for PC (AMD Phemon X4), Laptop (Asus A55VD) and EasyPC( ARM, VT8500)
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Wed May 03, 2017 3:59 am    Post subject: Reply with quote

Yep.. confirmed. 5.1.22 also the same. I'll update (if possible) the bug report.

*edit* LOL got beat to it :)

@DVD: Thanks for work you've put into this.
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 781

PostPosted: Wed May 03, 2017 5:00 am    Post subject: Reply with quote

confirm ->
Code:
~ $ VirtualBox
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
.
also ->
Code:
ShCrOpenGL[6539]: segfault at 0 ip 00007f4ff5f65208 sp 00007f4ff72bc040 error 4 in VBoxOGLrenderspu.so[7f4ff5f58000+25000]
.
Could it be only the Gentoo's trouble ?
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1353

PostPosted: Wed May 03, 2017 6:52 am    Post subject: Reply with quote

cdstealer wrote:
Yep.. confirmed. 5.1.22 also the same. I'll update (if possible) the bug report.

@DVD: Thanks for work you've put into this.


It's the spirit of free sofware, no? :)
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Wed May 03, 2017 4:51 pm    Post subject: Reply with quote

Quote:
It's the spirit of free sofware, no? :)


It certainly is. But still appreciated though :)
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
qjim
n00b
n00b


Joined: 10 May 2008
Posts: 23

PostPosted: Wed May 03, 2017 10:47 pm    Post subject: Reply with quote

As Paolo Pedroni pointed out in https://bugs.gentoo.org/show_bug.cgi?id=616238#c13, this is PROBABLY gentoo specific,
because change of symlink handling in upstream...
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Thu May 04, 2017 3:13 am    Post subject: Reply with quote

Thanks for the update qjim. Completely agree and thanks for the gentoo specific bug :)
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
=DvD=
Veteran
Veteran


Joined: 25 Mar 2004
Posts: 1353

PostPosted: Thu May 04, 2017 10:50 am    Post subject: Reply with quote

qjim wrote:
As Paolo Pedroni pointed out in https://bugs.gentoo.org/show_bug.cgi?id=616238#c13, this is PROBABLY gentoo specific,
because change of symlink handling in upstream...


It's not Gentoo specific: Virtualbox should check if those files are links, and do the permission check on the linked files in that case, not on the link itself.

This would happen in any other distribution if you link those files. It just happen that we link them and others don't (?)
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Fri May 12, 2017 5:27 pm    Post subject: Reply with quote

Hey, Looks like they fixed it in 5.1.22-r1. :) Acceleration enabled and working.
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum